Bug 980804 - Alias can be created with capitalized chars but cannot be deleted with the same name
Alias can be created with capitalized chars but cannot be deleted with the sa...
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-07-03 05:35 EDT by Meng Bo
Modified: 2015-05-14 22:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-22 11:20:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-07-03 05:35:30 EDT
Description of problem:
Add alias to app with capitalized chars in name, (like TEST.com) it will get success. But when deleting the alias with the same name, it will say cannot find the alias with the name.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create app
2.Add alias with capitalized char to the app
$rhc alias add app1 TEST.com
3.Delete the alias with the same name
$rhc alias remove app1 TEST.com

Actual results:
$rhc alias remove diy1 TTEST.com
Alias TTEST.com can't be found in application .

Expected results:
Alias should be deleted with capitalized char as well.

Additional info:
Comment 1 Ravi Sankar 2013-07-08 20:11:04 EDT
Fixed in https://github.com/openshift/rhc/pull/420
Comment 2 openshift-github-bot 2013-07-09 16:28:03 EDT
Commits pushed to master at https://github.com/openshift/rhc

Bug 980804 - Alias name need to be in lower case while comparing with existing app aliases

Merge pull request #420 from pravisankar/dev/ravi/bug980804

Merged by openshift-bot
Comment 3 Meng Bo 2013-07-10 04:02:54 EDT
Test on devenv_3471 with rhc client on instance. Issue fixed.

[root@ip-10-152-170-195 ~]# rhc alias add ruby19 FFF.com-com
Alias 'FFF.com-com' has been added.
[root@ip-10-152-170-195 ~]# rhc alias remove ruby19 FFF.com-com
Alias 'FFF.com-com' has been removed.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.